heads/initrd/bin/wget-measure.sh
Thierry Laurion 5bc2bc88e4
All scripts and functions: Add DEBUG calling trace on console when CONFIG_DEBUG_OUTPUT is exported in board config
-qemu-coreboot-*whiptail-tpm1(-hotp) boards have 'export CONFIG_DEBUG_OUTPUT=y' by default now
2023-02-18 21:52:44 -05:00

25 lines
377 B
Bash
Executable File

#!/bin/sh
# get a file and extend a TPM PCR
. /etc/functions
die() {
DEBUG "Under /bin/wget-measure.sh:die"
echo >&2 "$@"
exit 1
}
INDEX="$1"
URL="$2"
if [ -z "$INDEX" -o -z "$URL" ]; then
die "Usage: $0 pcr-index url"
fi
wget "$URL" || die "$URL: failed"
FILE="`basename "$URL"`"
tpm extend -ix "$INDEX" -if "$FILE" || die "$FILE: tpm extend failed"